package com.sun.org.apache.xml.internal.security.keys.content;

import org.w3c.dom.Document;
import com.sun.org.apache.xml.internal.security.exceptions.XMLSecurityException;
import org.w3c.dom.Element;
import com.sun.org.apache.xml.internal.security.utils.SignatureElementProxy;

public class KeyName extends SignatureElementProxy implements KeyInfoContent
{
    public KeyName(Element element, String baseURI) throws XMLSecurityException {
        super(element, baseURI);
    }
    
    public KeyName(Document doc, String text) {
        super(doc);
        this.addText(text);
    }
    
    public String getKeyName() {
        return this.getTextFromTextChild();
    }
    
    @Override
    public String getBaseLocalName() {
        return "KeyName";
    }
}
